dpkg-deb(1)

NOM
dpkg-deb - Outil pour la manipulation des archives (.deb) des paquets Debian

SYNOPSIS
dpkg-deb [options...] commande

DESCRIPTION
dpkg-deb crée un paquet, dépaquette une archive ou donne des renseignements sur les archives Debian

dpkg sert à installer ou à supprimer des paquets sur le système.

Il est possible d'exécuter dpkg-deb en appelant dpkg avec les options de dpkg-deb. dpkg comprend que dpkg-deb est appelé et le lance.

Pour la plupart des commandes recevant un argument d'entrée d'archive, l'archive peut être lue à partir de l'entrée standard si le nom d'archive est donné sous la forme d'un caractère moins (« - ») unique ; sinon, l'absence de prise en charge sera documentée dans leurs descriptions de commande respectives.

COMMANDES

-b, --build répertoire-binaire [archive|répertoire]
    Crée une archive Debian avec l'arborescence contenue dans répertoire-binaire. répertoire-binaire doit posséder un sous-répertoire DEBIAN qui contient les fichiers de contrôle tels que le fichier « control » lui-même. Ce répertoire n'apparaît pas dans l'archive de l'arborescence du paquet binaire ; mais les fichiers qu'il contient sont mis dans la zone de contrôle du paquet binaire.

    À moins de préciser --nocheck, dpkg-deb lit DEBIAN/control et l'analyse. Il cherche dans le fichier les erreurs de syntaxe et d'autres problèmes existants ; puis il affiche le nom du paquet binaire qu'il construit. dpkg-deb vérifie aussi les permissions des scripts du responsable et des autres fichiers qu'il trouve dans le répertoire de contrôle DEBIAN.

    Quand aucune archive n'est donnée, dpkg-deb écrit le paquet dansrépertoire-binaire.deb.

    Si l'archive qui doit être créée existe déjà, elle est remplacée.

    Quand le second argument est un répertoire, dpkg-deb écrira dans le fichier répertoire/paquet_version_arch.deb. Quand un répertoire cible est précisé à la place d'un fichier, l'option --nocheck ne doit pas être utilisée (puisque dpkg-deb a besoin de lire et d'analyser le fichier de contrôle du paquet pour connaître le nom de fichier à utiliser).

-I, --info archive [nom-fichier-control...]
    Donne des renseignements sur une archive de paquet binaire.

    Quand aucun argument fichier-control n'est précisé, un résumé du contenu du paquet ainsi que son fichier « control » sont affichés.

    Quand un argument fichier-control est précisé, dpkg-deb affiche les éléments dans l'ordre d'apparition ; quand l'un des éléments n'est pas présent, il affiche un message d'erreur sur « stderr » et quitte avec un code égal à 2.

-W, --show archive
    Cette option donne des informations sur l'archive d'un paquet binaire selon le format spécifié par l'argument --showformat. Le format par défaut affiche le nom et la version du paquet sur une seule ligne, séparés par une tabulation.

-f, --field archive [nom-du-champ-de-control...]
    Extrait les renseignements du fichier « control » de l'archive du paquet binaire.

    Quand aucun nom-du-champ-de-control n'est précisé, le fichier « control » est affiché en entier.

    Quand il y en a un, dpkg-deb affiche ses éléments en suivant leur ordre d'apparition dans le fichier « control ». Quand il y a plus d'un argument nom-champ-control, dpkg-deb fait précéder chacun par le nom de son champ (puis par un « deux-points » et une espace).

    L'absence des champs demandés ne provoque pas de message d'erreur.

-c, --contents archive
    Liste la partie arborescence des fichiers d'une archive de paquet. Elle est actuellement produite dans le format généré par un listing verbeux de tar.

-x, --extract archive répertoire
    Extrait l'arborescence des fichiers d'un paquet archive dans le répertoire spécifié.

    Il faut remarquer que l'extraction d'un paquet dans le répertoire root ne produit pas une installation correcte ! Utilisez dpkg pour l'installation des paquets.

    répertoire est créé si nécessaire (mais pas ses répertoires parents) et ses permissions sont modifiées pour correspondre au contenu du paquet.

-X, --vextract archive répertoire
    Comme --extract (-x) avec --verbose (-v), ce qui affiche la liste des fichiers au fur et à mesure qu'ils sont extraits.

-R, --raw-extract archive répertoire
    Extrait l'arborescence des fichiers d'un paquet archive dans le répertoire spécifié et les fichiers d'information de contrôle dans un sous-répertoire nommé DEBIAN de ce répertoire (depuis dpkg 1.16.1).

    Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents).

    L'archive d'entrée n'est pas actuellement traitée de façon séquentielle, aussi, sa lecture à partir de l'entrée standard (« - ») n'est pas prise en charge.

--ctrl-tarfile archive
    Extrait les données de contrôle d'un paquet binaire et les envoie sur la sortie standard dans le format propre à la commande tar (depuis dpkg 1.17.14). En combinant cette option avec la commande tar(1), on peut ainsi extraire un fichier de contrôle précis d'une archive de paquet. L'archive d'entrée sera toujours traitée séquentiellement.

--fsys-tarfile archive
    Extrait les données de l'arborescence d'un paquet binaire et les envoie sur la sortie standard dans le format propre à la commande tar. En combinant cette option avec la commande tar(1), on peut ainsi extraire un fichier précis d'une archive de paquet. L'archive d'entrée sera toujours traitée séquentiellement.

-e, --control archive [répertoire]
    Extrait les fichiers de contrôle d'une archive de paquet dans le répertoire spécifié.

    Quand aucun répertoire n'est précisé, on utilise un sous-répertoire DEBIAN du répertoire actuel.

    Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents).

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé.

    Cet argument est une chaîne qui peut référencer tout champ avec la forme « ${field-name} » ; une liste des champs valables peut être facilement produite avec l'option -I sur le même paquet. Une explication complète des options de formatage (avec les séquences d'échappement et les espaces entre les champs) se trouve dans la page dpkg-query(1), option --showformat.

    Par défaut, la valeur de ce champ est « ${Package}\t${Version}\n ».

-zniveau_compression
    Indique le niveau de compression à fournir au logiciel de compression appelé en sous-main lors de la compression du paquet. La valeur par défaut est 9 pour gzip, 6 pour xz, 3 pour zstd. Les valeurs possibles sont spécifiques aux compresseurs : pour gzip entre 0 et 9, 0 correspond à aucune compression, pour xz entre 0 et 9, pour zstd de 0 à 22, les niveaux 20 à 22 activant son mode ultra. Avant la version 1.16.2, la valeur 0 correspondait à « aucune compression » pour tous les logiciels de compression.

-Sstratégie-compression
    Indique la stratégie de compression à fournir au logiciel de compression appelé en sous-main lors de la construction du paquet (depuis dpkg 1.16.2). Les valeurs autorisées sont none (depuis dpkg 1.16.4), filtered, huffman, rle et fixed pour gzip (depuis dpkg 1.17.0) et extreme pour xz.

-Ztype_compression
    Indique le type de compression à utiliser lors de la construction d'un paquet. Les valeurs autorisées sont gzip, xz (depuis dpkg 1.15.6), zstd (depuis dpkg 1.21.18) et none (xz est la valeur par défaut).

--[no-]uniform-compression
    Indique que les mêmes paramètres de compression doivent être utilisés pour tous les membres de l'archive (c'est-à-dire control.tar et data.tar ; depuis dpkg 1.17.6). Sinon, seul le membre data.tar utilisera ces paramètres. Les seuls types de compression pris en charge permis pour une utilisation uniforme sont none, gzip, xz et zstd. L'option --no-uniform-compression désactive la compression uniforme (depuis dpkg 1.19.0). La compression uniforme est l'option par défaut (depuis dpkg 1.19.0).

--threads-max=threads
    Fixe le nombre maximal de processus permis pour les compresseurs qui gèrent les opérations multi-threadées (depuis dpkg 1.21.9).

--root-owner-group
    Fixe le propriétaire et le groupe de chaque entrée dans les données de l'arborescence du système de fichiers à root avec l'identité 0 (depuis dpkg 1.19.0).

    Note : cette option peut être utile pour les constructions sans root (voir rootless-builds.txt) mais ne devrait pas être utilisée si les entrées ont un propriétaire ou un groupe qui n'est pas root. Leur prise en charge sera ajoutée plus tard sous la forme d'un méta-manifeste.

--deb-format=format
    Indique la version du format d'archive utilisé lors de la construction (depuis dpkg 1.17.0). Les valeurs autorisées sont 2.0 pour le nouveau format et 0.939000 pour l'ancien (la valeur par défaut est 2.0).

    L'ancien format d'archive, moins facilement compris par les outils non-Debian, est maintenant dépassé. On l'utilise seulement quand on construit des paquets qui doivent être analysés par des versions de dpkg plus anciennes que la version 0.93.76 (septembre 1995), qui fut produite uniquement pour le format « i386 a.out ».

--nocheck
    Empêche les vérifications normales de dpkg-deb --build quant au contenu proposé d'une archive. De cette façon, on peut construire n'importe quelle archive, aussi défectueuse soit-elle.

-v, --verbose
    Active l'affichage bavard (depuis dpkg 1.16.1). Cela n'affecte actuellement que --extract et le rend analogue à --vextract.

-D, --debug
    Permet les messages de débogage. Ce n'est pas très intéressant.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée.

2   Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande non valable, ou interactions avec le système, telles que des accès à la base de données, des allocations de mémoire, etc.

ENVIRONNEMENT

DPKG_DEB_THREADS_MAX
    Fixe le nombre maximal de processus permis pour les compresseurs qui gèrent les opérations multi-threadées (depuis dpkg 1.21.9).

    L'option --threads-max outrepasse cette valeur.

DPKG_DEB_COMPRESSOR_TYPE
    Définit le type de compresseur à utiliser (depuis dpkg 1.21.10).

    L'option -Z outrepasse cette valeur.

DPKG_DEB_COMPRESSOR_LEVEL
    Définit le niveau de compression à utiliser (depuis dpkg 1.21.10).

    L'option -z outrepasse cette valeur.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

TMPDIR
    Si cette option est utilisée, dpkg-deb l'utilisera comme répertoire pour créer les fichiers et répertoires temporaires.

SOURCE_DATE_EPOCH
    Si cette option est utilisée, elle sera utilisée comme horodatage (en seconde à partir de « l'epoch ») dans le conteneur ar(5) de deb(5), et pour fixer le « mtime » dans les entrées du fichier tar(5).

NOTES
N'essayez pas d'installer un logiciel avec dpkg-deb ! Vous devez utiliser dpkg pour être sûr que tous ses fichiers sont correctement mis en place, que les scripts du paquet sont exécutés et que son contenu et son état sont enregistrés.

BOGUES
dpkg-deb -I paquet1.deb paquet2.deb se trompe.

Il n'existe pas d'authentification des fichiers .deb. Il n'existe même pas de système de somme de contrôle immédiat. Les outils de haut niveau comme APT gèrent l'authentification des paquets .deb récupérés depuis un dépôt donné et la plupart des paquets fournissent désormais une somme de contrôle MD5 créée par debian/rules. Cependant, cela n'est pas directement géré par les outils de plus bas niveau.

VOIR AUSSI
/usr/share/doc/dpkg/spec/rootless-builds.txt, deb(5), deb-control(5), dpkg(1), dselect(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.